AnnotationFieldRef
Date: 2017-03-29

com.thoughtworks.qdox.model.annotation

## Class AnnotationFieldRef

- java.lang.Object
- - com.thoughtworks.qdox.model.annotation.AnnotationFieldRef

- All Implemented Interfaces:
    AnnotationValue

      public class AnnotationFieldRef
      extends java.lang.Object
      implements AnnotationValue

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationFieldRef(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `accept(AnnotationVisitor visitor)` Accept a visitor for this value.
    `java.lang.String` | `getClassPart()`
    `AbstractBaseJavaEntity` | `getContext()`
    `JavaField` | `getField()`
    `java.lang.String` | `getFieldPart()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getNamePart(int index)`
    `java.lang.String` | `getNamePrefix(int end)`
    `java.lang.Object` | `getParameterValue()` Get a parameter value for `Annotation.getNamedParameter(String)`.
    `int` | `getPartCount()`
    `protected JavaField` | `resolveField(JavaClass javaClass, int start, int end)`
    `void` | `setContext(AbstractBaseJavaEntity context)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationFieldRef

          public AnnotationFieldRef(java.lang.String name)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getNamePrefix

          public java.lang.String getNamePrefix(int end)

    - #### getNamePart

          public java.lang.String getNamePart(int index)

    - #### getPartCount

          public int getPartCount()

    - #### accept

          public java.lang.Object accept(AnnotationVisitor visitor)

      Description copied from interface: `AnnotationValue`
      Accept a visitor for this value.
      Specified by:
        `accept` in interface `AnnotationValue`
      Parameters:
        `visitor` - Visitor
      Returns:
        Visitor result

    - #### getParameterValue

          public java.lang.Object getParameterValue()

      Description copied from interface: `AnnotationValue`
      Get a parameter value for `Annotation.getNamedParameter(String)`.
      Specified by:
        `getParameterValue` in interface `AnnotationValue`
      Returns:
        Parameter value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getContext

          public AbstractBaseJavaEntity getContext()

    - #### setContext

          public void setContext(AbstractBaseJavaEntity context)

    - #### getClassPart

          public java.lang.String getClassPart()

    - #### getFieldPart

          public java.lang.String getFieldPart()

    - #### resolveField

          protected JavaField resolveField(JavaClass javaClass,
                               int start,
                               int end)

    - #### getField

          public JavaField getField()